/v1/forms (POST)
POST
/v1/forms
const url = 'https://example.com/v1/forms';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","workspaceId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","active":true,"questions":[{"type":"example","text":"example","friendlyId":"example","required":true,"options":["example"],"otherText":"example","minSelections":1,"maxSelections":1,"scales":[{"text":"example","opposingText":"example"}],"scaleStart":1,"scaleEnd":1,"trueLabel":"example","falseLabel":"example","icon":"example","maxStars":1,"rows":1,"inputLimitation":"example","columnHeadings":["example"],"rowHeadings":["example"],"lastColumnIsNotWeighted":true,"rankOptions":["example"],"contactFields":[{"field":"example","label":"example","visible":true}],"datePlaceholder":"example","startDatePlaceholder":"example","endDatePlaceholder":"example","collectTime":true,"fileUploadSlots":["example"],"amount":1,"currency":"example","formula":"example"}],"pages":[{"title":"example","questions":[{"type":"example","text":"example","friendlyId":"example","required":true,"options":["example"],"otherText":"example","minSelections":1,"maxSelections":1,"scales":[{"text":"example","opposingText":"example"}],"scaleStart":1,"scaleEnd":1,"trueLabel":"example","falseLabel":"example","icon":"example","maxStars":1,"rows":1,"inputLimitation":"example","columnHeadings":["example"],"rowHeadings":["example"],"lastColumnIsNotWeighted":true,"rankOptions":["example"],"contactFields":[{"field":"example","label":"example","visible":true}],"datePlaceholder":"example","startDatePlaceholder":"example","endDatePlaceholder":"example","collectTime":true,"fileUploadSlots":["example"],"amount":1,"currency":"example","formula":"example"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/forms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "active": true, "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ], "pages": [ { "title": "example", "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ] } ] }'Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
title
string
description
string
workspaceId
string format: uuid
active
boolean
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
pages
Array<object>
object
title
string
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
Example generated
{ "title": "example", "description": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "active": true, "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ], "pages": [ { "title": "example", "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ] } ]}object
title
string
description
string
workspaceId
string format: uuid
active
boolean
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
pages
Array<object>
object
title
string
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
Example generated
{ "title": "example", "description": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "active": true, "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ], "pages": [ { "title": "example", "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ] } ]}object
title
string
description
string
workspaceId
string format: uuid
active
boolean
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
pages
Array<object>
object
title
string
questions
Array<object>
object
type
string
text
string
friendlyId
string
required
boolean
options
Array<string>
otherText
string
minSelections
integer format: int32
maxSelections
integer format: int32
scales
Array<object>
object
text
string
opposingText
string
scaleStart
integer format: int32
scaleEnd
integer format: int32
trueLabel
string
falseLabel
string
icon
string
maxStars
integer format: int32
rows
integer format: int32
inputLimitation
string
columnHeadings
Array<string>
rowHeadings
Array<string>
lastColumnIsNotWeighted
boolean
rankOptions
Array<string>
contactFields
Array<object>
object
field
string
label
string
visible
boolean
datePlaceholder
string
startDatePlaceholder
string
endDatePlaceholder
string
collectTime
boolean
fileUploadSlots
Array<string>
amount
integer format: int64
currency
string
formula
string
Example generated
{ "title": "example", "description": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "active": true, "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ], "pages": [ { "title": "example", "questions": [ { "type": "example", "text": "example", "friendlyId": "example", "required": true, "options": [ "example" ], "otherText": "example", "minSelections": 1, "maxSelections": 1, "scales": [ { "text": "example", "opposingText": "example" } ], "scaleStart": 1, "scaleEnd": 1, "trueLabel": "example", "falseLabel": "example", "icon": "example", "maxStars": 1, "rows": 1, "inputLimitation": "example", "columnHeadings": [ "example" ], "rowHeadings": [ "example" ], "lastColumnIsNotWeighted": true, "rankOptions": [ "example" ], "contactFields": [ { "field": "example", "label": "example", "visible": true } ], "datePlaceholder": "example", "startDatePlaceholder": "example", "endDatePlaceholder": "example", "collectTime": true, "fileUploadSlots": [ "example" ], "amount": 1, "currency": "example", "formula": "example" } ] } ]}Responses
Section titled “ Responses ”OK